// prepend.cc - Prepend
#define VERSION "v1.0"
// GPLed - Stephan T. Lavavej - http://stl.caltech.edu

#include <cstdlib>
#include <iostream>
#include <string>
using namespace std;

void printUsageAndDie() {
    cout << "GPL:   http://www.gnu.org/licenses/gpl.txt" << endl;
    cout << "USAGE: prepend \"Words To Prepend\" filename1 [filename2] ..." << endl;
    cout << "       Wildcards such as *.mp3 are acceptable" << endl;
    exit(EXIT_SUCCESS);
}

int main(int argc, char *argv[]) {
    cout << "Prepend " VERSION " [GPLed] by Stephan T. Lavavej, http://stl.caltech.edu" << endl;

    if (argc < 3) {
        printUsageAndDie();
    }

    string wordstoappend = argv[1];

    for (int z = 2; z < argc; z++) {
        rename(argv[z], (wordstoappend + argv[z]).c_str());
    }
}

// Version History:
// v1.0 - Initial C++ version
